<?xml version="1.0" encoding="UTF-8"?>
<!--
	The following line works exlcusively with 10.3.2 and later versions -->
	<wls:weblogic-application xmlns:wls="http://xmlns.oracle.com/weblogic/weblogic-application"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/javaee_5.xsd http://xmlns.oracle.com/weblogic/weblogic-application http://xmlns.oracle.com/weblogic/weblogic-application/1.0/weblogic-application.xsd">

<!--  The following line works with previous versions of WLS
<wls:weblogic-application
	xmlns:wls="http://www.bea.com/ns/weblogic/weblogic-application"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/javaee_5.xsd http://www.bea.com/ns/weblogic/weblogic-application http://www.bea.com/ns/weblogic/weblogic-application/1.0/weblogic-application.xsd">
-->
    <wls:xml>
        <wls:parser-factory>
            <wls:saxparser-factory>org.apache.xerces.jaxp.SAXParserFactoryImpl</wls:saxparser-factory>
            <wls:document-builder-factory>org.apache.xerces.jaxp.DocumentBuilderFactoryImpl</wls:document-builder-factory>
            <wls:transformer-factory>org.apache.xalan.processor.TransformerFactoryImpl</wls:transformer-factory>
        </wls:parser-factory>
    </wls:xml>
	<!--weblogic-version:10.3.2-->
	<wls:prefer-application-packages>
		<!--weblogic-version:12.1.3-->
		<wls:package-name>antlr.*</wls:package-name>
		<wls:package-name>org.apache.commons.lang.*</wls:package-name>
		<wls:package-name>org.apache.log4j.*</wls:package-name>
		<!-- <wls:package-name>org.apache.xerces.*</wls:package-name>-->
		<wls:package-name>org.apache.cxf.*</wls:package-name>
		<!--weblogic-version:12.1.3-->
		<wls:package-name>com.sun.xml.ws.api.wsdl.parser.*</wls:package-name>
		<wls:package-name>org.apache.ws.commons.schema.*</wls:package-name>
		<wls:package-name>org.codehaus.stax2.*</wls:package-name>
		<wls:package-name>com.ctc.wstx.*</wls:package-name>

	</wls:prefer-application-packages>

	<!--weblogic-version:12.1.3-->
	<wls:prefer-application-resources>
	    <wls:resource-name>META-INF/services/javax.xml.ws.*</wls:resource-name>
	    <wls:resource-name>META-INF/services/javax.xml.datatype.*</wls:resource-name>
	    <wls:resource-name>META-INF/services/javax.xml.stream.*</wls:resource-name>
	    <wls:resource-name>META-INF/services/com.sun.xml.ws.transport.*</wls:resource-name>
	    <wls:resource-name>META-INF/services/com.sun.tools.ws.*</wls:resource-name>
	</wls:prefer-application-resources>
</wls:weblogic-application>